Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.xensource.xenapi
Class VMGuestMetrics

    java.lang.Object
      com.xensource.xenapi.XenAPIObject
          com.xensource.xenapi.VMGuestMetrics

    public class VMGuestMetrics

extends XenAPIObject

The metrics reported by the guest (as opposed to inferred from outside)

Nested Class Summary
`static class` | `VMGuestMetrics.Record` Represents all the fields in a VMGuestMetrics

Field Summary
`protected String` | `ref` The XenAPI reference (OpaqueRef) to this object.

Method Summary
`void` | `addToOtherConfig(Connection c, String key, String value)` Add the given key-value pair to the other_config field of the given VM_guest_metrics.
`boolean` | `equals(Object obj)` If obj is a VMGuestMetrics, compares XenAPI references for equality.
`static Set<VMGuestMetrics>` | `getAll(Connection c)` Return a list of all the VM_guest_metrics instances known to the system.
`static Map<VMGuestMetrics,VMGuestMetrics.Record>` | `getAllRecords(Connection c)` Return a map of VM_guest_metrics references to VM_guest_metrics records for all VM_guest_metrics instances known to the system.
`static VMGuestMetrics` | `getByUuid(Connection c, String uuid)` Get a reference to the VM_guest_metrics instance with the specified UUID.
`Map<String,String>` | `getDisks(Connection c)` Get the disks field of the given VM_guest_metrics.
`Date` | `getLastUpdated(Connection c)` Get the last_updated field of the given VM_guest_metrics.
`Boolean` | `getLive(Connection c)` Get the live field of the given VM_guest_metrics.
`Map<String,String>` | `getMemory(Connection c)` Get the memory field of the given VM_guest_metrics.
`Map<String,String>` | `getNetworks(Connection c)` Get the networks field of the given VM_guest_metrics.
`Map<String,String>` | `getOsVersion(Connection c)` Get the os_version field of the given VM_guest_metrics.
`Map<String,String>` | `getOther(Connection c)` Get the other field of the given VM_guest_metrics.
`Map<String,String>` | `getOtherConfig(Connection c)` Get the other_config field of the given VM_guest_metrics.
`Boolean` | `getPVDriversUpToDate(Connection c)` Get the PV_drivers_up_to_date field of the given VM_guest_metrics.
`Map<String,String>` | `getPVDriversVersion(Connection c)` Get the PV_drivers_version field of the given VM_guest_metrics.
`VMGuestMetrics.Record` | `getRecord(Connection c)` Get a record containing the current state of the given VM_guest_metrics.
`String` | `getUuid(Connection c)` Get the uuid field of the given VM_guest_metrics.
`int` | `hashCode()`
`void` | `removeFromOtherConfig(Connection c, String key)` Remove the given key and its corresponding value from the other_config field of the given VM_guest_metrics.
`void` | `setOtherConfig(Connection c, Map<String,String> otherConfig)` Set the other_config field of the given VM_guest_metrics.
`String` | `toWireString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ref

    protected final String ref

  The XenAPI reference (OpaqueRef) to this object.

Method Detail

### toWireString

    public String toWireString()

  Specified by:
    `toWireString` in class `XenAPIObject`
  Returns:
    The XenAPI reference (OpaqueRef) to this object.

### equals

    public boolean equals(Object obj)

  If obj is a VMGuestMetrics, compares XenAPI references for equality.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getRecord

    public VMGuestMetrics.Record getRecord(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get a record containing the current state of the given VM_guest_metrics.

  Returns:
    all fields from the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getByUuid

    public static VMGuestMetrics getByUuid(Connection c,
                                           String uuid)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get a reference to the VM_guest_metrics instance with the specified UUID.

  Parameters:
    `uuid` - UUID of object to return
  Returns:
    reference to the object
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getUuid

    public String getUuid(Connection c)
                   throws Types.BadServerResponse,
                          Types.XenAPIException,
                          org.apache.xmlrpc.XmlRpcException

  Get the uuid field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOsVersion

    public Map<String,String> getOsVersion(Connection c)
                                    throws Types.BadServerResponse,
                                           Types.XenAPIException,
                                           org.apache.xmlrpc.XmlRpcException

  Get the os_version field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPVDriversVersion

    public Map<String,String> getPVDriversVersion(Connection c)
                                           throws Types.BadServerResponse,
                                                  Types.XenAPIException,
                                                  org.apache.xmlrpc.XmlRpcException

  Get the PV_drivers_version field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getPVDriversUpToDate

    public Boolean getPVDriversUpToDate(Connection c)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Get the PV_drivers_up_to_date field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getMemory

    public Map<String,String> getMemory(Connection c)
                                 throws Types.BadServerResponse,
                                        Types.XenAPIException,
                                        org.apache.xmlrpc.XmlRpcException

  Get the memory field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getDisks

    public Map<String,String> getDisks(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the disks field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getNetworks

    public Map<String,String> getNetworks(Connection c)
                                   throws Types.BadServerResponse,
                                          Types.XenAPIException,
                                          org.apache.xmlrpc.XmlRpcException

  Get the networks field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOther

    public Map<String,String> getOther(Connection c)
                                throws Types.BadServerResponse,
                                       Types.XenAPIException,
                                       org.apache.xmlrpc.XmlRpcException

  Get the other field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLastUpdated

    public Date getLastUpdated(Connection c)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Get the last_updated field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getOtherConfig

    public Map<String,String> getOtherConfig(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Get the other_config field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getLive

    public Boolean getLive(Connection c)
                    throws Types.BadServerResponse,
                           Types.XenAPIException,
                           org.apache.xmlrpc.XmlRpcException

  Get the live field of the given VM_guest_metrics.

  Returns:
    value of the field
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### setOtherConfig

    public void setOtherConfig(Connection c,
                               Map<String,String> otherConfig)
                        throws Types.BadServerResponse,
                               Types.XenAPIException,
                               org.apache.xmlrpc.XmlRpcException

  Set the other_config field of the given VM_guest_metrics.

  Parameters:
    `otherConfig` - New value to set
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### addToOtherConfig

    public void addToOtherConfig(Connection c,
                                 String key,
                                 String value)
                          throws Types.BadServerResponse,
                                 Types.XenAPIException,
                                 org.apache.xmlrpc.XmlRpcException

  Add the given key-value pair to the other_config field of the given VM_guest_metrics.

  Parameters:
    `key` - Key to add
    `value` - Value to add
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### removeFromOtherConfig

    public void removeFromOtherConfig(Connection c,
                                      String key)
                               throws Types.BadServerResponse,
                                      Types.XenAPIException,
                                      org.apache.xmlrpc.XmlRpcException

  Remove the given key and its corresponding value from the other_config field of the given VM_guest_metrics. If the key is not in that Map, then do nothing.

  Parameters:
    `key` - Key to remove
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAll

    public static Set<VMGuestMetrics> getAll(Connection c)
                                      throws Types.BadServerResponse,
                                             Types.XenAPIException,
                                             org.apache.xmlrpc.XmlRpcException

  Return a list of all the VM_guest_metrics instances known to the system.

  Returns:
    references to all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

### getAllRecords

    public static Map<VMGuestMetrics,VMGuestMetrics.Record> getAllRecords(Connection c)
                                                                   throws Types.BadServerResponse,
                                                                          Types.XenAPIException,
                                                                          org.apache.xmlrpc.XmlRpcException

  Return a map of VM_guest_metrics references to VM_guest_metrics records for all VM_guest_metrics instances known to the system.

  Returns:
    records of all objects
  Throws:
    `Types.BadServerResponse`
    `Types.XenAPIException`
    `org.apache.xmlrpc.XmlRpcException`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD